DigestAuthenticator.DigestInfo (Apache Tomcat 8.5.96 API Documentation)

Package org.apache.catalina.authenticator

## Class DigestAuthenticator.DigestInfo

- java.lang.Object
- - org.apache.catalina.authenticator.DigestAuthenticator.DigestInfo

- Enclosing class:
    DigestAuthenticator

      public static class DigestAuthenticator.DigestInfo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DigestInfo​(java.lang.String opaque, long nonceValidity, java.lang.String key, java.util.Map<java.lang.String,​DigestAuthenticator.NonceInfo> nonces, boolean validateUri)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.security.Principal` | `authenticate​(Realm realm)` |
    `java.lang.String` | `getUsername()` |
    `boolean` | `isNonceStale()` |
    `boolean` | `parse​(Request request, java.lang.String authorization)` |
    `boolean` | `validate​(Request request)` | Deprecated.
    `boolean` | `validate​(Request request, java.util.List<DigestAuthenticator.AuthDigest> algorithms)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DigestInfo

          public DigestInfo​(java.lang.String opaque,
                            long nonceValidity,
                            java.lang.String key,
                            java.util.Map<java.lang.String,​DigestAuthenticator.NonceInfo> nonces,
                            boolean validateUri)

  - ### Method Detail

    - #### getUsername

          public java.lang.String getUsername()

    - #### parse

          public boolean parse​(Request request,
                               java.lang.String authorization)

    - #### validate

          @Deprecated
          public boolean validate​(Request request)

      Deprecated.

    - #### validate

          public boolean validate​(Request request,
                                  java.util.List<DigestAuthenticator.AuthDigest> algorithms)

    - #### isNonceStale

          public boolean isNonceStale()

    - #### authenticate

          public java.security.Principal authenticate​(Realm realm)